pub use sea_orm_migration::prelude::*;

mod m20230204_001022_create_pages;
mod m20230204_011034_create_posts;
mod m20230204_014834_create_post_blocks;
mod m20230204_014838_create_page_blocks;
pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20230204_001022_create_pages::Migration),
            Box::new(m20230204_011034_create_posts::Migration),
            Box::new(m20230204_014834_create_post_blocks::Migration),
            Box::new(m20230204_014838_create_page_blocks::Migration),
        ]
    }
}
