use serde::{Serialize, Deserialize};

pub enum BlockTypes {
    HR,
    HEADER {
        text: String,
        size: i8,
    },
    PARAGRAPH {
        text: String,
    },
    MARKDOWN {
        content: String,
    },
    UNSUPPORTED
}

#[derive(Deserialize)]
pub struct Header {
    pub text: String,
    pub size: i8,
}
